LibreOffice: LabeledDataSequence Service Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
LabeledDataSequence Service Reference

describes a container for a sequence pair of value-sequences, one for a label and one for the associated data. More...

`import "LabeledDataSequence.idl";`

Inheritance diagram for LabeledDataSequence:

## Additional Inherited Members
Exported Interfaces inherited from XLabeledDataSequence2
interface | XLabeledDataSequence
| provides read- and write-access to the underlying data.
interface | com::sun::star::util::XModifyBroadcaster
| is used to broadcast when the sequence for labels or values change their identity, or their content changes.
interface | ::com::sun::star::util::XCloneable
| Allows creating copies of data sequences.
Public Member Functions inherited from XLabeledDataSequence
XDataSequence | getValues ()
| returns an XDataSequence containing the actual data.
void | setValues ([in] XDataSequence xSequence)
| sets a new XDataSequence containing the actual data.
XDataSequence | getLabel ()
| returns an XDataSequence containing the label for the labeled sequence.
void | setLabel ([in] XDataSequence xSequence)
| sets a new XDataSequence containing the label for the labeled sequence.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XModifyBroadcaster
void | addModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| adds the specified listener to receive events "modified."
void | removeModifyListener ([in] com::sun::star::util::XModifyListener aListener)
| removes the specified listener.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.

## Detailed Description

describes a container for a sequence pair of value-sequences, one for a label and one for the associated data.

The documentation for this service was generated from the following file:

- com/sun/star/chart2/data/LabeledDataSequence.idl